Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 592536 - dev-qt/qtcore:4 fails to build with >=dev-libs/openssl-1.1.0
Summary: dev-qt/qtcore:4 fails to build with >=dev-libs/openssl-1.1.0
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords:
: 635774 (view as bug list)
Depends on: qt4-removal
Blocks: openssl-1.1
  Show dependency tree
 
Reported: 2016-08-31 07:50 UTC by Lars Wendler (Polynomial-C)
Modified: 2020-08-13 14:50 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log.xz (build.log.xz,31.44 KB, application/x-xz)
2016-08-31 07:52 UTC, Lars Wendler (Polynomial-C)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Wendler (Polynomial-C) gentoo-dev 2016-08-31 07:50:40 UTC
See attached build.log
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2016-08-31 07:52:06 UTC
Created attachment 444540 [details]
build.log.xz
Comment 2 Michael Palimaka (kensington) gentoo-dev 2016-08-31 11:35:15 UTC
Unless some exception is made, I doubt this will ever be fixed upstream in Qt 4.
Comment 3 Davide Pesavento gentoo-dev 2017-10-29 18:45:08 UTC
*** Bug 635774 has been marked as a duplicate of this bug. ***
Comment 4 Yury Zhuravlev 2018-04-07 12:26:19 UTC
I found this patch: 
https://github.com/manjaro/packages-multilib/blob/master/lib32-qt4/qt4-openssl-1.1.patch

I will check but I hope it's enough.
Comment 5 Pacho Ramos gentoo-dev 2018-04-17 10:32:29 UTC
Also Fedora applies this patch (from Debian)
https://src.fedoraproject.org/rpms/qt/raw/master/f/qt-everywhere-opensource-src-4.8.7-openssl-1.1.patch
Comment 6 Andrew John Hughes 2018-06-20 17:03:30 UTC
Successfully built on Gentoo with this patch:

https://github.com/gnu-andrew/crypto/blob/master/dev-qt/qtcore/files/qtcore-openssl-1.1.0.patch
Comment 7 Raymond Jennings 2018-08-17 03:41:29 UTC
qt4 is being removed
Comment 8 Larry the Git Cow gentoo-dev 2020-08-13 14:50:18 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/proj/kde-sunset.git/commit/?id=17acf2b5a331f0450dd662d80d0c63c3dcf4d8b2

commit 17acf2b5a331f0450dd662d80d0c63c3dcf4d8b2
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-08-13 12:06:12 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-08-13 14:47:18 +0000

    dev-qt/qtcore: Support OpenSSL-1.1
    
    Requires sslv3.
    
    Bug: https://bugs.gentoo.org/592536
    Package-Manager: Portage-3.0.2, Repoman-2.3.23
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 dev-qt/qtcore/files/qtcore-4.8.7-openssl-1.1.patch | 694 +++++++++++++++++++++
 dev-qt/qtcore/qtcore-4.8.7-r4.ebuild               |   7 +-
 2 files changed, 698 insertions(+), 3 deletions(-)